mbedtls_net_context Struct Reference

Wrapper type for sockets. More...

`#include <net.h>`

## Data Fields

int | fd
| The underlying file descriptor. More...

## Detailed Description

Wrapper type for sockets.

Currently backed by just a file descriptor, but might be more in the future (eg two file descriptors for combined IPv4 + IPv6 support, or additional structures for hand-made UDP demultiplexing).

Definition at line 65 of file net.h.

## Field Documentation

int mbedtls_net_context::fd

The underlying file descriptor.

Definition at line 67 of file net.h.

The documentation for this struct was generated from the following file:

- net.h